Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# VLCCenterCircleFinder Class Reference

`#include <VLCCenterCircleFinder.h>`

Collaboration diagram for VLCCenterCircleFinder:

[legend]
List of all members.

## Public Types
enum | { maxNumber = 50, mergeDistance = 30, houghDimensionX = 120, houghDimensionY = 50, radius = 32400, areaOfInterestX = 2400, areaOfInterestY = 1000, aMaxEntry = 6, mEntry = 6 }
## Public Member Functions
| VLCCenterCircleFinder (const CameraMatrix &cMatrix, const Image &im)
void | reset ()
void | addCandidate (Vector2< int > &candiOnField, Vector2< int > &candiOfImage)
void | determineCirclePoint ()
bool | getCircle (Vector2< double > &mid)
## Public Attributes
bool | circleFound
Vector2< double > | midPoint
## Private Member Functions
void | transformArrayToField (int arrayIndex, bool xDirection, int &fieldPosition)
void | transformFieldToArray (double fieldPos, bool xDirection, int &arrayIndex)
## Private Attributes
Candidate | candidatePoints [maxNumber]
bool | circlePoints [maxNumber]
int | numberOfCandidates
int | houghSpace [houghDimensionX][houghDimensionY]
bool | flagY [houghDimensionY]
int | houghStepX
int | houghStepY
const CameraMatrix & | cameraMatrix
const Image & | image

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  maxNumber |
  mergeDistance |
  houghDimensionX |
  houghDimensionY |
  radius |
  areaOfInterestX |
  areaOfInterestY |
  aMaxEntry |
  mEntry |
Definition at line 13 of file VLCCenterCircleFinder.h.

## Constructor & Destructor Documentation

VLCCenterCircleFinder::VLCCenterCircleFinder | ( | const CameraMatrix & | cMatrix,
|  | const Image & | im
| ) |

| Definition at line 4 of file VLCCenterCircleFinder.cpp. References circlePoints, and maxNumber.

## Member Function Documentation

void VLCCenterCircleFinder::reset | ( |  | ) |

| Definition at line 24 of file VLCCenterCircleFinder.cpp. References circlePoints, and maxNumber. Referenced by VLCImageProcessor::execute().

void VLCCenterCircleFinder::addCandidate | ( | Vector2< int > & | candiOnField,
|  | Vector2< int > & | candiOfImage
| ) |

| Definition at line 42 of file VLCCenterCircleFinder.cpp. References maxNumber, mergeDistance, VLCCenterCircleFinder::Candidate::pointOfImage, VLCCenterCircleFinder::Candidate::pointOnField, sqr, Vector2< double >::x, Vector2< int >::x, Vector2< V >::x, Vector2< double >::y, and Vector2< V >::y.

void VLCCenterCircleFinder::determineCirclePoint | ( |  | ) |

| Definition at line 180 of file VLCCenterCircleFinder.cpp. References aMaxEntry, Geometry::calculatePointInImage(), Image::cameraInfo, CIRCLE, circlePoints, DOT, VLCCenterCircleFinder::Candidate::pointOfImage, VLCCenterCircleFinder::Candidate::pointOnField, sqr, transformArrayToField(), transformFieldToArray(), Vector2< V >::x, Vector2< double >::x, Vector2< int >::y, Vector2< V >::y, and Vector2< double >::y. Referenced by VLCImageProcessor::execute().

Here is the call graph for this function:

bool VLCCenterCircleFinder::getCircle | ( | Vector2< double > & | mid | ) |

| Definition at line 311 of file VLCCenterCircleFinder.cpp. Referenced by VLCImageProcessor::execute().

void VLCCenterCircleFinder::transformArrayToField | ( | int | arrayIndex,
|  | bool | xDirection,
|  | int & | fieldPosition
| ) | `[private]`

| Definition at line 99 of file VLCCenterCircleFinder.cpp. Referenced by determineCirclePoint().

void VLCCenterCircleFinder::transformFieldToArray | ( | double | fieldPos,
|  | bool | xDirection,
|  | int & | arrayIndex
| ) | `[private]`

| Definition at line 138 of file VLCCenterCircleFinder.cpp. Referenced by determineCirclePoint().

## Member Data Documentation

bool VLCCenterCircleFinder::circleFound

| Definition at line 40 of file VLCCenterCircleFinder.h.

Vector2<double> VLCCenterCircleFinder::midPoint

| Definition at line 41 of file VLCCenterCircleFinder.h.

Candidate VLCCenterCircleFinder::candidatePoints[maxNumber]`[private]`

| Definition at line 54 of file VLCCenterCircleFinder.h.

bool VLCCenterCircleFinder::circlePoints[maxNumber]`[private]`

| Definition at line 58 of file VLCCenterCircleFinder.h. Referenced by determineCirclePoint(), reset(), and VLCCenterCircleFinder().

int VLCCenterCircleFinder::numberOfCandidates`[private]`

| Definition at line 61 of file VLCCenterCircleFinder.h.

int VLCCenterCircleFinder::houghSpace[houghDimensionX][houghDimensionY]`[private]`

| Definition at line 65 of file VLCCenterCircleFinder.h.

bool VLCCenterCircleFinder::flagY[houghDimensionY]`[private]`

| Definition at line 69 of file VLCCenterCircleFinder.h.

int VLCCenterCircleFinder::houghStepX`[private]`

| Definition at line 73 of file VLCCenterCircleFinder.h.

int VLCCenterCircleFinder::houghStepY`[private]`

| Definition at line 74 of file VLCCenterCircleFinder.h.

const CameraMatrix& VLCCenterCircleFinder::cameraMatrix`[private]`

| Definition at line 89 of file VLCCenterCircleFinder.h.

const Image& VLCCenterCircleFinder::image`[private]`

| Definition at line 90 of file VLCCenterCircleFinder.h.

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/VLCImageProcessor/VLCCenterCircleFinder.h
- Modules/ImageProcessor/VLCImageProcessor/VLCCenterCircleFinder.cpp